Bug 234334 - Automatic updating of comic strips
Summary: Automatic updating of comic strips
Status: RESOLVED FIXED
Alias: None
Product: plasma4
Classification: Plasma
Component: widget-comic (show other bugs)
Version: unspecified
Platform: Ubuntu Unspecified
: NOR wishlist with 1 vote (vote)
Target Milestone: ---
Assignee: Matthias Fuchs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-14 13:09 UTC by karaluh
Modified: 2011-03-29 21:29 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.7.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description karaluh 2010-04-14 13:09:15 UTC
Version:            (using KDE 4.4.2)
Installed from:    Ubuntu Packages

Comic widget should periodicaly check, if strips updates are available and install them in the bacground automaticaly if so.
Comment 1 Oldřich Jedlička 2011-03-20 08:09:23 UTC
I second that, also a button for "Check for updates..." to perform the same action would be nice. I actually discovered update possibility in "Get new comics" by accident, so I guess more people even don't know the update is possible.
Comment 2 Matthias Fuchs 2011-03-20 11:32:00 UTC
Just to inform you. I have thought about that for a long time. Yet unfortunately GHNS is not really up to the task yet.
The user would not only be presented with the "overwrite xy" dialog all the time but the comics would be updated too often.
That happens due to GHNS not correctly storing and updating the state of the comic.
Comment 3 Matthias Fuchs 2011-03-27 19:13:12 UTC
I hope to implement this for 4.7, since I created fixes for all the related GHNS problems. Now I am only waiting for them to get reviewed.
Comment 4 Matthias Fuchs 2011-03-29 18:46:37 UTC
Git commit f7bf54850a1f9979e2126f601e870ab14c2c7b32 by Matthias Fuchs.
Committed on 26/03/2011 at 23:08.
Pushed by mfuchs into branch 'master'.

Adds option to enable automatic updating of comics.

The user can define the days between the checks for updates.
If an update is found for an installed comic it will be downloaded and installed automatically.

BUG:234334
FIXED-IN:4.7.0

M  +12   -1    applets/comic/comic.cpp     
M  +219  -9    applets/comic/comicSettings.ui     
M  +109  -0    applets/comic/configwidget.cpp     
M  +45   -0    applets/comic/configwidget.h     

http://commits.kde.org/kdeplasma-addons/f7bf54850a1f9979e2126f601e870ab14c2c7b32